Document Directory

Glossary API

Update Glossary

POST/v1/glossary/update

Update glossary details or terms.

Complete address
https://otranslator.com/api/v1/glossary/update
Authentication
API Key needs to be passed in the Authorization request header
Content-Type
application/json
Invalid format
{ "error": "Invalid API key." }

Precautions

Fields not passed will remain unchanged.

If updating keys, it is recommended to also update translated to ensure each source term has a corresponding translation.

Example

curl
1curl -X POST 'https://otranslator.com/api/v1/glossary/update' \
2--header 'Authorization: [yourSecretKey]' \
3--header 'Content-Type: application/json' \
4--data '{
5  "glossaryId": "[string]",
6  "name": "0twXbd",
7  "keys": [
8    "储蓄分流"
9  ],
10  "translated": {
11    "储蓄分流": "Diversion of household deposits"
12  }
13}'

Request Parameters

ParametersTypeDefaultDescriptionExample
*glossaryIdString-

Glossary ID

-
nameString-

Name

Financial terminology 2
descString-

Description

-
targetLangString-
  • Target language
  • Supported languages: Query
-
keysString[]-

Array of all terminology

["储蓄分流"]
translatedJSON-

Terminology translation mapping

{"储蓄分流":"Diversion of household deposits"}

Response

ParametersTypeDefaultDescriptionExample
glossaryIdString-

Glossary ID

-
nameString-

Name

-
descString-

Description

-
targetLangString-

Target Language

-
keysString[]-

Array of all terminology

-
translatedJSON-

Terminology translation mapping

-
createdAtDateTime-

Glossary creation time

-
updatedAtDateTime-

Glossary update time

-

Common Errors

401 Missing API key.

The Authorization request header is required.

401 Invalid API key.

The API key does not exist, has been deleted, or is no longer valid.

400 Missing required parameter: glossaryId.

Provide the glossaryId returned by the create glossary API.

404 Glossary not found.

The glossary does not exist or does not belong to the current API account.

Glossary API
Query glossary
Glossary API
Delete glossary